mptcpd_nm_ops Struct Reference

Network monitor event tracking operations. More...

`#include <mptcpd/network_monitor.h>`

## Public Attributes

void(* | new_interface )(struct mptcpd_interface const *i, void *user_data)
| A new network interface is available. More...
void(* | update_interface )(struct mptcpd_interface const *i, void *user_data)
| Network interface flags were updated. More...
void(* | delete_interface )(struct mptcpd_interface const *i, void *user_data)
| A network interface was removed. More...
void(* | new_address )(struct mptcpd_interface const *i, struct sockaddr const *sa, void *user_data)
| A new network address is available. More...
void(* | delete_address )(struct mptcpd_interface const *i, struct sockaddr const *sa, void *user_data)
| A network address was removed. More...

## Detailed Description

Network monitor event tracking operations.

A set of functions to be called when changes in network interfaces and addresses occur.

## Member Data Documentation

## delete_address

void(* mptcpd_nm_ops::delete_address) (struct mptcpd_interface const *i, struct sockaddr const *sa, void *user_data)

A network address was removed.

Parameters

  [in] | i | Network interface information.
  [in] | sa | Network address information.
  [in] | user_data | User-supplied data.

## delete_interface

void(* mptcpd_nm_ops::delete_interface) (struct mptcpd_interface const *i, void *user_data)

A network interface was removed.

Parameters

  [in] | i | Network interface information.
  [in] | user_data | User-supplied data.

## new_address

void(* mptcpd_nm_ops::new_address) (struct mptcpd_interface const *i, struct sockaddr const *sa, void *user_data)

A new network address is available.

Parameters

  [in] | i | Network interface information.
  [in] | sa | Network address information.
  [in] | user_data | User-supplied data.

## new_interface

void(* mptcpd_nm_ops::new_interface) (struct mptcpd_interface const *i, void *user_data)

A new network interface is available.

Parameters

  [in] | i | Network interface information.
  [in] | user_data | User-supplied data.

Note
  The network address list may be empty. Set a `new_address` callback to be notified when new network addresses become available. Network addresses on a given network interface may be retrieved through the `new_address` callback below.

## update_interface

void(* mptcpd_nm_ops::update_interface) (struct mptcpd_interface const *i, void *user_data)

Network interface flags were updated.

Parameters

  [in] | i | Network interface information.
  [in] | user_data | User-supplied data.

The documentation for this struct was generated from the following file:

- include/mptcpd/network_monitor.h